#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    vector<int> K;
    for (int i = 0; i < A.size(); i++) {
        K.push_back(i);
    }
    
    swap(K[A.size()-1], K[(A.size()-1)/2+1]);

    return K;
}
